function init()
	gun.name = "Spawner archangel"
	gun.fireDelay = 50

	return 0
end


function update()

	return 0
end


function fire()

	minion = ""
	minionnum = 0
	roll = math.random(1,5)
	if roll == 1 then
		minion = "Interceptor"
		minionnum = 14
	elseif roll == 2 then
		minion = "Lancer"
		minionnum = 6
	elseif roll == 3 then
		minion = "Pulsardrone"
		minionnum = 4
	elseif roll == 4 then
		minion = "Destrier"
		minionnum = 3
	elseif roll == 5 then
		minion = "Blinkturret"
		minionnum = 12
	end
	
	faction = gun.owner.faction
	for i = 1, minionnum do
		--create a minion
		spawnx = gun.firex + math.random(-600, 600)
		spawny = gun.firey + math.random(-600, 600)

		stage.warpShip(minion, "", spawnx, spawny, faction, "", 500)
	end

	return 0
end

function shot_update()

	return 0
end